# Copyright © 2022 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=8

inherit autotools

DESCRIPTION="C-based ACME client ported from OpenBSD"
HOMEPAGE="https://sr.ht/~graywolf/acme-client-portable/"
SRC_URI="https://data.wolfsden.cz/sources/$P.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND="dev-libs/openssl"
DEPEND="virtual/yacc
	$RDEPEND"

PATCHES=(
	"$FILESDIR/$P-no-default-lto.patch"
	"$FILESDIR/$P-allow-nonroot.patch"
	"$FILESDIR/$P-allow-group-permissions.patch"
	"$FILESDIR/$P-support-must-staple.patch"
)

src_prepare () {
	default
	eautoreconf
}

src_install () {
	dodoc "$FILESDIR/acme-client.conf.example"

	default
}
